# -*- coding: utf-8 -*-

"""
Builditを10RPMで回転させるプログラム

ポイント
* set_ref_velocity関数を使うことで、Builditに速度制御を指示することができます。
* set_ref_velocity関数への回転数の指示は1/100RPM単位で指定します。
  from_rpm関数を使えばRPM単位で指定することができます。
"""

from time import sleep                              # timeライブラリからsleep関数を読み込む
from pybuildit import *                             # Builditを操作するためのpybuilditライブラリを読み込む

PORT = "COM5"                                       # 環境に合わせて変更してください
DEVICE_ID = 1                                       # このプログラム内で扱うBuilditのIDを"1"とする

buildit = Buildit(port=PORT)                        # Builditと接続する

buildit.force_ready(DEVICE_ID)                      # Builditを制御待ち状態にする

buildit.set_ref_velocity(DEVICE_ID, from_rpm(10))   # Builditを"10RPM"で回転させ始める

sleep(5)                                            # 5秒間待つ

buildit.stop(DEVICE_ID)                             # Builditを停止する

buildit.close()                                     # Builditとの接続を切断する









[]