# -*- coding: utf-8 -*-

"""
Builditを10RPMで回転させ、5秒おきに回転方向を反転させるプログラム

ポイント
* 回転速度に正の値を指定するとBuilditは半時計回りに回転します。
* 逆回転(時計回り)させるにはset_ref_velocityに負の値を渡します。
"""

from time import sleep                                  # timeライブラリからsleep関数を読み込む
from pybuildit import *                                 # Builditを操作するためのpybuilditライブラリを読み込む

PORT = "COM5"                                           # 環境に合わせて変更してください
DEVICE_ID = 1                                           # このプログラム内で扱うBuilditのIDを"1"とする

direction = 1                                           # 回転方向、1:正回転, -1:逆回転

buildit = Buildit(port=PORT)                            # Builditと接続する
buildit.force_ready(DEVICE_ID)                          # Builditを制御待ち状態にする

for i in range(4):                                                  # 4回繰り返す
    buildit.set_ref_velocity(DEVICE_ID, direction * from_rpm(10))   # 10RPMもしくは-10RPMで回転させ始める
    sleep(5)                                                        # 5秒間待つ
    direction = direction * -1                                      # 回転方向を逆転

buildit.stop(DEVICE_ID)                                             # Builditを停止する

buildit.close()                                                     # Builditとの接続を切断する





