# -*- coding: utf-8 -*-

"""
2台のデイジーチェーン接続されたBuilditを10RPMで回転させるプログラム

ポイント
* デイジーチェーン接続された複数のBuilditを操作するには、関数を呼び出す際にそれぞれのBuilditのデバイスIDを指定します。
* close()関数は、Biulditと接続されているシリアル通信ポートをクローズする関数なので、デバイスIDの指定は不要です。
"""

from time import sleep                                  # timeライブラリからsleep関数を読み込む
from pybuildit import *                                 # Builditを操作するためのpybuilditライブラリを読み込む

PORT = "COM5"                                           # 環境に合わせて変更してください
DEVICE_ID_1 = 1                                         # 1つめのBuilditのIDを"1"とする
DEVICE_ID_2 = 2                                         # 2つめのBuilditのIDを"2"とする

buildit = Buildit(port=PORT)                            # Builditと接続する

buildit.force_ready(DEVICE_ID_1)                        # Builditを制御待ち状態にする
buildit.force_ready(DEVICE_ID_2)                        # Builditを制御待ち状態にする

buildit.set_ref_velocity(DEVICE_ID_1, from_rpm(10))     # Builditを"10RPM"で回転させ始める
buildit.set_ref_velocity(DEVICE_ID_2, from_rpm(10))     # Builditを"10RPM"で回転させ始める

sleep(5)                                                # 5秒間待つ

buildit.stop(DEVICE_ID_1)                               # Builditを停止する
buildit.stop(DEVICE_ID_2)                               # Builditを停止する

buildit.close()                                         # Builditとの接続を切断する




