# -*- coding: utf-8 -*-

"""
BuilditのデバイスIDを設定するプログラム

設定時はデイジーチェーンで複数台を同時に接続せず、一台のBuilditとのみ接続すること
設定後は一度Builditを再起動させること
"""

from pybuildit import *                             # Builditを操作するためのpybuilditライブラリを読み込む

PORT = "COM5"                                       # 環境に合わせて変更してください
DEVICE_ID = 1                                       # 変更前のBuilditのID
NEW_DEVICE_ID = 2                                   # 変更後のBuilditのID

buildit = Buildit(port=PORT)                        # Builditと接続する

buildit.set_device_id(DEVICE_ID, NEW_DEVICE_ID)     # BuilditのデバイスIDを変更する

buildit.close()                                     # Builditとの接続を切断する



