# -*- coding: utf-8 -*-

"""
builditの位置値を０にするプログラム
※Builditの各種設定値は初期値とする
"""

from time import sleep                                 # timeライブラリからsleep関数を読み込む
from pybuildit import *                                # Builditを操作するためのpybuilditライブラリを読み込む

PORT = "COM5"                                          # 環境に合わせて変更してください
DEVICE_ID = 1                                          # このプログラム内で扱うBuilditのIDを"1"とする

buildit = Buildit(port=PORT)                           # Builditと接続する

buildit.force_hold(DEVICE_ID)                          # Buildit 1 をhold状態にする 
buildit.reset_rotation(1)                              # Buildit 1 が何回転しているかを変更します。

buildit.force_ready(DEVICE_ID)                              # Buildit 1 を制御待ち状態にする
buildit.set_ref_position(DEVICE_ID, from_deg(0))            # Buildit を0度まで回転させ始める
buildit.wait_until_stop_at(DEVICE_ID, from_deg(0), 1000)    # Buildit の回転が終了するのを待つ

sleep(1)                                                    # 1秒間待つ

buildit.stop(DEVICE_ID)                                     # Builditを停止する
buildit.close()                                             # 接続していたBuilditを切断する




