# -*- coding: utf-8 -*-

"""
2台のデイジーチェーン接続されたBuilditの位置値を０にするプログラム
※Builditの各種設定値は初期値とする
"""

from time import sleep                                 # timeライブラリからsleep関数を読み込む
from pybuildit import *                                # Builditを操作するためのpybuilditライブラリを読み込む

PORT = "COM5"                                          # 環境に合わせて変更してください
DEVICE_ID_1 = 1                                        # 1つめのBuilditのIDを"1"とする
DEVICE_ID_2 = 2                                        # 2つめのBuilditのIDを"2"とする

buildit = Buildit(port=PORT)                           # Builditと接続する

buildit.force_hold(DEVICE_ID_1)                        # Buildit 1 をhold状態にする 
buildit.force_hold(DEVICE_ID_2)                        # Buildit 2 をhold状態にする 

buildit.reset_rotation(DEVICE_ID_1)                         # Buildit 1 が何回転しているかを変更します。
buildit.reset_rotation(DEVICE_ID_2)                         # Buildit 2 が何回転しているかを変更します。

buildit.force_ready(DEVICE_ID_1)                            # Buildit 1 を制御待ち状態にする
buildit.force_ready(DEVICE_ID_2)                            # Buildit 2 を制御待ち状態にする

buildit.set_ref_position(DEVICE_ID_1, from_deg(0))          # Buildit1 を0度まで回転させ始める
buildit.set_ref_position(DEVICE_ID_2, from_deg(0))          # Buildit2 を0度まで回転させ始める

buildit.wait_until_stop_at(DEVICE_ID_1, from_deg(0), 1000)  # Buildit1 の回転が終了するのを待つ
buildit.wait_until_stop_at(DEVICE_ID_2, from_deg(0), 1000)  # Buildit2 の回転が終了するのを待つ

sleep(1)                                                    # 1秒間待つ

buildit.stop(DEVICE_ID_1)                                   # Buildit1を停止する
buildit.stop(DEVICE_ID_2)                                   # Buildit2を停止する

buildit.close()                                             # 接続していたBuilditを切断する



